Jump to content

[1.11.x] Parallax, A PBR Terrain Shader [1.2.1]


Recommended Posts

I'm having problems with some of the textures of Parallax. I was wondering if there was any solutions.

Here is an image of what is happening: Image here

If it helps my mod list includes:

Parallax, Parallax Stock Textures, EVE & BoulderCo, Chatterer, Kerbal EngineerRedux, Kopernicus BE, PlanetShine Master, Modular Flight Intergrator, RealPlume, RealPlumeStock, Scatterer and SmokeScreen.

Link to post
Share on other sites
2 hours ago, GamingRoos said:

I'm having problems with some of the textures of Parallax. I was wondering if there was any solutions.

Here is an image of what is happening: Image here

If it helps my mod list includes:

Parallax, Parallax Stock Textures, EVE & BoulderCo, Chatterer, Kerbal EngineerRedux, Kopernicus BE, PlanetShine Master, Modular Flight Intergrator, RealPlume, RealPlumeStock, Scatterer and SmokeScreen.

Can you post a link to your log file?

Link to post
Share on other sites
On 12/9/2020 at 12:23 PM, HitSpecK0 said:

hello, i have a weird bug that looks like the tessellation is constantly turning on and off

here is a video

https://streamable.com/anhsot

and here is my log

https://drive.google.com/file/d/1Ox6olUOsNc0PIgV97vEzPnFrdjFyzq2H/view?usp=sharing

 

any idea on what's causing that?

From my testing this is a bug caused by Sigma Dimensions, the root mod for Rescale, whenever you approach the boundary of a PQS grid. I have not seen a fix for it so far but you might find more help in the Sigma sub form.

Link to post
Share on other sites

Hey, I'm having an issue with the terrain using @R-T-B's JNSQ config for Parallax. It appears that pretty much everything but the tessellation is working in game:

Spoiler

q8F2s88.jpgi1vKBW4.jpg

I managed to get some depth to the terrain by increasing the tesselationheight to something like 8 or so, but it isn't anything like it should be compared to my testing with stock.

Spoiler

Ez1cwMl.jpgAWSYQp6.jpg

This is probably a result of using a 2 month old patch with the latest version of the mod, but any help would be appreciated! My mod list is pretty long in my main install, but I tested and had the same results just using Kopernicus BE + JNSQ + Parallax + Parallax Stock textures (with @R-T-B's patch) in a  separate install.

Thanks, and here's the logs:

https://drive.google.com/file/d/1o5UXNoHcVte_y3yRnrmjq4Dk_Sycga7d/view?usp=sharing

Link to post
Share on other sites
On 12/31/2020 at 8:20 PM, VoidCosmos said:

I have a encountered a weird bug in KSP 1.11.0  after installing the latest version of Parallax. 

The terrain of the planets and moons have got a neon pinkish texture for some reason. The KSP.log and Player.log are attached below along with a screenshot .

https://imgur.com/MM4V0B8

https://drive.google.com/drive/folders/1gKgdVIGOfMbty1uIntGG4zMjhtGcVwdr?usp=sharing

 

 

I had/have the same issue when launching the game through Steam, however, if I run the game from CKAN then the textures load correctly.

Link to post
Share on other sites
19 minutes ago, JoelM935 said:

I had/have the same issue when launching the game through Steam, however, if I run the game from CKAN then the textures load correctly.

I launched it from the KSP64.exe

Link to post
Share on other sites
Just now, GamingRoos said:

The mod is not causing it to crash, where could I find the log?

In your Kerbal Space Program folder, it's called KSP.log

Link to post
Share on other sites
5 minutes ago, Gameslinx said:

Can you try without EVE? I think one of your other mods is causing this, because Parallax is installed correctly and loads fine. You also exceed the minimum requirements

Alright I will give that a go

11 minutes ago, Gameslinx said:

Can you try without EVE? I think one of your other mods is causing this, because Parallax is installed correctly and loads fine. You also exceed the minimum requirements

It appears it did not work, I will send you the logs.

https://drive.google.com/file/d/1DQefKLRE4aFf8q7-8BpH0dyjfrRV-G33/view?usp=sharing

 

Link to post
Share on other sites
1 hour ago, Gameslinx said:

Can you try without EVE? I think one of your other mods is causing this, because Parallax is installed correctly and loads fine. You also exceed the minimum requirements

Should I try the same too? 

Link to post
Share on other sites
1 hour ago, GamingRoos said:

Here you go.

Do you have latest version of Kopernicus? That log says you only have the v1.0.0 version. It also seems like you have an old version of parallax. Maybe it's just the log.

EDIT: There are also a ton of NREs at the bottom.

Edited by Spaceman.Spiff
Link to post
Share on other sites

I downloaded the BE version of Koperinicus from R-B-T Here

I got Parallax from the Github mirror provided by Gameslinx in this exact thread.

16 minutes ago, Spaceman.Spiff said:

Do you have latest version of Kopernicus? That log says you only have the v1.0.0 version. It also seems like you have an old version of parallax. Maybe it's just the log.

EDIT: There are also a ton of NREs at the bottom.

I downloaded the BE version of Koperinicus from R-B-T here.

I got Parallax from the Github mirror provided by Gameslinx in this exact thread.

Edited by GamingRoos
Link to post
Share on other sites

Is the version with collisions out yet?  I can't find a changelog and the github isn't very clear.

Also what is the install size? I'm on an internet budget rn and need to know before installation.

Edited by Kerminator K-100
Link to post
Share on other sites
8 minutes ago, GamingRoos said:

downloaded the BE version of Koperinicus from R-B-T here.

I got Parallax from the Github mirror provided by Gameslinx in this exact thread.

Alright. Since you don't have a very big mod list,  I might recommend removing your mods and reinstalling them through CKAN. That should automatically update the dependencies. You may have to add the Kopernicus BE repository, but that is explained in the BE post. IF that's too complicated, then I'm kind of out of ideas. Just trying to help.

3 minutes ago, Kerminator K-100 said:

Is the version with collisions out yet?  I can't find a changelog and the github isn't very clear.

Also what is the install size? I'm on an internet budget rn and need to know before installation.

It is not. Gameslinx has stated that it will be in the 1.2 release along with performance improvements. It is a very large download. If you can hold off, I would.

Link to post
Share on other sites
58 minutes ago, Spaceman.Spiff said:

Alright. Since you don't have a very big mod list,  I might recommend removing your mods and reinstalling them through CKAN. That should automatically update the dependencies. You may have to add the Kopernicus BE repository, but that is explained in the BE post. IF that's too complicated, then I'm kind of out of ideas. Just trying to help.

It is not. Gameslinx has stated that it will be in the 1.2 release along with performance improvements. It is a very large download. If you can hold off, I would.

I've just installed CKAN and I can't seem to find Parallax, just wondering if it is even on CKAN otherwise I can re-download it from Github.

 

Edit: Don't worry I found it.

Edited by GamingRoos
Link to post
Share on other sites

@GamingRoos Here are the instructions copied from the Kopernicus BE post on how to get it from CKAN.

Spoiler

Sure, just opt in to our private beta CKAN repo.  This will grant you auto updates from the beta tree and get you all this stuff straight from CKAN!  Do the following technique to start this:

From your main CKAN window, go to "Settings"

Add our CKAN repo in the resulting text box.  It's the one called "Kopernicus_BE"

 

Link to post
Share on other sites
2 hours ago, Kerminator K-100 said:

Also what is the install size? I'm on an internet budget rn and need to know before installation.

It is about 1.7 GB. It is the second biggest mod I have ever installed, only JNSQ is bigger in my downloads. As previously suggested, if you are on a budget you probably want to wait.

Edited by vinix
Link to post
Share on other sites
1 minute ago, GamingRoos said:

Nah, it didn't work... Quite confusing in all honesty.

That's unfortunate :(. If it's a problem with CKAN, then I would ask over in that thread. It's pinned in add-on releases. 

Link to post
Share on other sites
Just now, Spaceman.Spiff said:

That's unfortunate :(. If it's a problem with CKAN, then I would ask over in that thread. It's pinned in add-on releases. 

It's not a problem with CKAN as I also did a manual install before trying CKAN.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...